Bug 983211 - Set X_FORWARDED_FOR for calls to broker to get IP-address traceability
Set X_FORWARDED_FOR for calls to broker to get IP-address traceability
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 13:39 EDT by Jordan Liggitt
Modified: 2015-05-14 21:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:27:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Liggitt 2013-07-10 13:39:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fabiano Franz 2013-08-08 14:57:06 EDT
Taking out UpcomingRelease, please provide a description.
Comment 2 Fabiano Franz 2013-08-19 16:24:02 EDT
Not enough data, if still an issue please reopen and provide a description.
Comment 3 Jordan Liggitt 2013-08-23 15:53:06 EDT
The IP address a web request to the console comes in on doesn't get forwarded to the broker, so none of the broker logging of IPs is useful for console-initiated requests.
Comment 4 Clayton Coleman 2013-09-13 16:22:11 EDT
Fixed with 461d1e3 in li and 48acef0 in origin-server, will be part of https://github.com/openshift/li/pull/1903
Comment 5 Yujie Zhang 2013-09-24 03:52:43 EDT
hi Clayton,
Can you give me some suggestions about how to veirfy this bug from QE side? Thanks!
Comment 6 Clayton Coleman 2013-09-24 10:08:51 EDT
Perform an action in the console.  Check the broker/user_action.log and verify that the IP address of the logged action matches your local IP address.  The X-Forwarded-For header is sent by the console to the broker so that the broker knows what the console user's IP is.
Comment 8 Yujie Zhang 2013-09-25 06:03:02 EDT
Tested on fork_ami_origin_ui_72_membership_845, the IP in user_action.log equals my external IP now, so verify this bug, thanks.
Comment 9 openshift-github-bot 2013-09-26 20:33:12 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/48acef00cbe83db32a66527e38fe4e3bba62fedb
Bug 983211 - Pass remote_ip to broker
Comment 10 openshift-github-bot 2013-09-27 03:14:41 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/89706a64fa836db41534eb711be7ad4e99119087
Origin UI 72 - Membership

-------------
Includes bugs

Bug 983211 - Pass remote_ip to broker

Note You need to log in before you can comment on or make changes to this bug.